/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * This file is part of graphviz-builder which is released under MIT.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, May 2020
 */

type EdgeStyles =
  ''
  |'solid'
  |'dashed'
  |'dotted'
  |'bold'


type NodeStyles =
  ''
  |'solid'
  |'dashed'
  |'dotted'
  |'bold'
  |'rounded'
  |'diagonals'
  |'filled'
  |'striped'
  |'wedged'
  |'invis'


type GraphStyles =
  'solid'
  | 'dashed'
  | 'dotted'
  | 'bold'
  | 'rounded'
  | 'filled'
  | 'striped'

export { EdgeStyles, NodeStyles, GraphStyles };
